Subject: Re: [PATCH 00/28] Use main as default branch name

From: Sergey Organov <[email-masked]>
Date: Thu, 19 Nov 2020 14:10:44 +0300

Philip Oakley <[email-masked]> writes:

> On 19/11/2020 01:51, Junio C Hamano wrote:
>> Philip Oakley <[email-masked]> writes:
>>
>>> An alternative in the other direction is to go with the 'not currently
>>> on any branch' (detached at nowhere) but then require users to
>>> deliberately create their first branch with their chosen name. This
>>> moves the 'backward incompatibility' to a different place, which may be
>>> easier to manage.
>> As has already been mentioned by Peff, I do not think that is a
>> workable alternative, especially given that people are generally
>> afraid of and easily get confused by being on a detached HEAD.
> Yes, our use of the technical phrase 'detached HEAD' is confusing,
> compared with the more pleasant 'not on any branch', or 'not at a branch
> tip'. Such is the curse of knowledge.

To me "not on a branch [tip]" is also confusing, as in fact you are, as
is easily seen after you perform a few commits, and now HEAD points
directly to the tip of the branch (that has no other references).

I wonder why Git didn't rather adopt "unnamed branch" or "nameless
branch" to describe this mode of operation?

-- Sergey